Update marketing template
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"isDefault": true,
"designJson": null
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
isDefault: true,
designJson: null
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/templates/{id}"
payload = {
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"isDefault": True,
"designJson": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"designJson": null
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Templates
Update marketing template
Requires write:templates. Patch library template fields.
PATCH
/
api
/
v1
/
marketing
/
templates
/
{id}
Update marketing template
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"isDefault": true,
"designJson": null
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
isDefault: true,
designJson: null
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/templates/{id}"
payload = {
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"isDefault": True,
"designJson": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"designJson": null
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Path Parameters
Body
application/json
Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I